********************************************************************************
*                                                                              * 
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### updaddr ###
c
c     Updates addresses of exchange potentials to make
c     them correspond to newly read in functions
c
      subroutine updaddr(iorb1)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      include 'commons8.inc'

c     copy i3btv into i3b

      do  iorb2=1,norb
         k=i3xk(iorb1,iorb2)
         i3b(k)=i3btv(iorb1,iorb2)
         print *,'iaddr: ',iorb1,iorb2,k,i3b(k)
      enddo

      return
      end
